net.sourceforge.pmd.lang.ecmascript.ast

## Class ASTObjectLiteral

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.lang.ecmascript.ast.AbstractEcmascriptNode<org.mozilla.javascript.ast.ObjectLiteral>
    - - net.sourceforge.pmd.lang.ecmascript.ast.ASTObjectLiteral

All Implemented Interfaces:
  Node, DestructuringNode, EcmascriptNode<org.mozilla.javascript.ast.ObjectLiteral>, TrailingCommaNode

    public class ASTObjectLiteral
    extends AbstractEcmascriptNode<org.mozilla.javascript.ast.ObjectLiteral>
    implements DestructuringNode, TrailingCommaNode

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.ecmascript.ast.AbstractEcmascriptNode

`node`

### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`beginColumn, beginLine, children, endColumn, endLine, id, parent`

### Constructor Summary

Constructors
Constructor and Description
`ASTObjectLiteral(org.mozilla.javascript.ast.ObjectLiteral objectLiteral)`

### Method Summary

Methods
`ASTObjectProperty` `getObjectProperty(int index)`
`boolean` `isDestructuring()`
`boolean` `isTrailingComma()`
`Object` `jjtAccept(EcmascriptParserVisitor visitor, Object data)` Accept the visitor.
`void` `setTrailingComma(boolean trailingComma)`

### Methods inherited from class net.sourceforge.pmd.lang.ecmascript.ast.AbstractEcmascriptNode

`childrenAccept, getJsDoc, getNode, hasSideEffects, toString`

### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, isSingleLine, jjtAddChild, jjtClose, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

`findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, jjtAddChild, jjtClose, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDataFlowNode, setImage, setUserData`

### Constructor Detail

#### ASTObjectLiteral

    public ASTObjectLiteral(org.mozilla.javascript.ast.ObjectLiteral objectLiteral)

### Method Detail

#### jjtAccept

    public Object jjtAccept(EcmascriptParserVisitor visitor,
                   Object data)

Accept the visitor.

Specified by:
  `jjtAccept` in interface `EcmascriptNode<org.mozilla.javascript.ast.ObjectLiteral>`
Overrides:
  `jjtAccept` in class `AbstractEcmascriptNode<org.mozilla.javascript.ast.ObjectLiteral>`

#### getObjectProperty

    public ASTObjectProperty getObjectProperty(int index)

#### isDestructuring

    public boolean isDestructuring()

Specified by:
  `isDestructuring` in interface `DestructuringNode`

#### isTrailingComma

    public boolean isTrailingComma()

Specified by:
  `isTrailingComma` in interface `TrailingCommaNode`

#### setTrailingComma

    public void setTrailingComma(boolean trailingComma)

Specified by:
  `setTrailingComma` in interface `TrailingCommaNode`